#
# spec file for package xslide (Version 0.2.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xslide
BuildRequires:  emacs-nox
License:        GPL-2.0+
Group:          Productivity/Editors/Emacs
Requires:       emacs_program psgml
AutoReqProv:    on
Summary:        XSL Integrated Development Environment
Version:        0.2.2
Release:        265.21
Source:         http://unc.dl.sourceforge.net/sourceforge/xslide/xslide-%{version}.tar.gz
Source10:       COPYING
# Patch0: xslide-0.2.dif
Patch1:         suse-start-xslide.dif
Url:            http://www.menteith.com/xslide/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
An Emacs mode to edit XSL files.



Authors:
--------
    Tony Graham <tgraham@mulberrytech.com>

%prep
# %setup -T -c
# unzip -o -a %{SOURCE0}
%setup -q 
# %patch0 -p 1
%patch1 -p 1
cp %{S:10} .

%build
make xslide

%install
[ -z $RPM_BUILD_ROOT ] || rm -fr $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/xslide \
                 $RPM_BUILD_ROOT%{_infodir}
# to avoid timestamp problems, install .el files first.
install -p -m644 *.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/xslide
install -p -m644 suse-start-xslide.el \
    $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/suse-start-xslide.el
install -p -m644 *.el *.elc \
    $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/xslide
export RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc TODO README.TXT NEWS dot_emacs
%doc COPYING
%doc xslide-initial.xsl
%config /usr/share/emacs/site-lisp/suse-start-xslide.el
/usr/share/emacs/site-lisp/xslide

%changelog
* Wed Dec  3 2008 ke@suse.de
- Attach the license text; bnc#455941.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 26 2005 ke@suse.de
- Require 'emacs_program'.
* Thu Aug  5 2004 ke@suse.de
- Update to version 0.2.2:
  - Support more XSLT processors.
  - Minor bug fixes.
* Wed Feb  4 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Mon Jun  2 2003 ke@suse.de
- Fix typo in spec file (%%files section).
* Mon Jun  2 2003 ke@suse.de
- Update to version 0.2.1; NEWS:
  - Add ability to view or browse `xsl-process' output.
  - Add `ident-region' support.
  - Add error-regexp and process command template for xsltproc.
  - Add more XSL properties in xslide-data.el.
  - Minor bug fixes.
* Mon May 27 2002 ke@suse.de
- Update to version 0.2 (previous xslide.zip was a 0.2 beta release...):
  - Better font-lock support.
  - Support more keywords.
  - Support .fo files (via suse-start-xslide).
- Drop obsolete patch.
* Tue Nov 13 2001 ke@suse.de
- Use emacs-nox to build the package.
- Update spec file: URL and Source reference; make it noarch.
* Mon Nov 12 2001 schwab@suse.de
- Add libjpeg libpng libtiff libungif to neededforbuild.
* Tue Mar 13 2001 ro@suse.de
- added emacs-x11
* Thu Mar  8 2001 uli@suse.de
- added xf86 to neededforbuild
* Fri Nov 17 2000 ro@suse.de
- ge_exec -> emacs
* Wed Sep 27 2000 ke@suse.de
- Patch `makefile' just to load `font-lock'.
* Tue Sep 26 2000 ke@suse.de
- Create initial SuSE package.
